extends ./layout

block title
  title Signup | ACM BUT Registration

block append styles
  link(href="/public/assets/login.css", rel="stylesheet")

block content
  .ui.middle.aligned.center.aligned.grid
    .five.wide.computer.fourteen.wide.mobile.column
      .ui.teal.image.header
        .content
          h1
            i.address.card.outline.icon
            | Register
      form(method="post" action="/auth/signup").ui.large.form
        .ui.stacked.segment
          .field
            .ui.labeled.input
              .ui.label First Name
              input(name="firstName", type="text", placeholder="mohammad", value=form !== undefined ? form.firstName : '')
            if validation && validation.errors.firstName
              .ui.error.message
                p=validation.errors.firstName
          .field
            .ui.labeled.input
              .ui.label Last Name
              input(name="lastName", type="text", placeholder="mohammadi", value=form !== undefined ? form.lastName : '')
            if validation && validation.errors.lastName
              .ui.error.message
                p=validation.errors.lastName
          .field
            .ui.labeled.input
              .ui.label Student ID
              input(name="studentId", type="text", placeholder="9811111111", value=form !== undefined ? form.studentId : '')
            if validation && validation.errors.studentId
              .ui.error.message
                p=validation.errors.studentId
          .field
            .ui.labeled.input
              .ui.label Phone No.
              input(name="mobile", type="text", placeholder="9123456789", value=form !== undefined ? form.mobile : '')
            if validation && validation.errors.mobile
              .ui.error.message
                p=validation.errors.mobile
          .field
            .ui.labeled.input
              .ui.label National ID
              input(name="nationalId", type="text", placeholder="0640552333", value=form !== undefined ? form.nationalId : '')
            if validation && validation.errors.nationalId
              .ui.error.message
                p=validation.errors.nationalId
          .field
            .ui.labeled.input
              .ui.label Team Name
              input(name="teamName", type="text", placeholder="Transformers", value=form !== undefined ? form.teamName : '')
            if validation && validation.errors.teamName
              .ui.error.message
                p=validation.errors.teamName

          if error
            .field
              .ui.error.message
                .header
                  p= error.message
          else if success
            .field
              .ui.success.message
                .header
                  p.
                    Team #[em= success.team.name] successfully registered.
                  p.
                    Your username is #[em your student id] and password is #[em your national id].
                  p.
                    Login #[a(href="/auth/login") here].

          button(type="submit").ui.fluid.large.teal.submit.button Submit
      p Already registered? #[a(href="/auth/login").ui.fluid.large.secondary.basic Login!]
